CoCoAManual - tex: error if syntax is missing
Status: Closed Start date: 03 Feb 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 2.01 hours

Target version: CoCoA-5.3.0 Spent time: 1.60 hour

Description

I realized that tex fails if the syntax field of a command is missing, and the error message is not helpful (problem with empty Verbatim

environment for the syntax box).

This forces all commands to have the syntax field, which is bad for obsolete/obsolescent commands.

I fixed TeX.xsl so that it does not make the syntax box if the syntax is missing.

And I also removed the (empty) syntax from obsolete/obsolescent entries.

Before checking it in: is this ok?

Related issues:

Related to CoCoA-5 - Bug #1320: CoCoA-5 manual:  incorrect empty line in synt... New 25 Sep 2019

History

#1 - 03 Feb 2020 11:37 - Anna Maria Bigatti

- Related to Bug #1320: CoCoA-5 manual:  incorrect empty line in syntax box (in PDF file) added

#2 - 03 Feb 2020 15:08 - John Abbott

- Status changed from New to In Progress

Yes, I think this is reasonable.  Presumably the entries for the obsolescent commands should simply say which function to call instead.

#3 - 03 Feb 2020 17:47 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

- Estimated time set to 2.01 h

done.  checked-in.

#4 - 13 Feb 2020 18:59 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
